Subject: bug#38695: 26.3; emacs 26.3 crashes under MacOS

From: Alan Third <[email-masked]>
Date: Fri, 20 Dec 2019 21:32:50 +0000

On Fri, Dec 20, 2019 at 02:46:47PM -0500, Bruno Chanal wrote:
> 
> 
> Hi,
> 
> I have had a number of crashes of Emacs under MacOS. I'm using Emacs
> 26.3.
> 
> The exact circumstances are not fully clear. However, the crashes seem
> to be related to using Tramp to connect to remote systems. They seem to
> take place after MacOS went to sleep while Emacs/Tramp was running. As
> MacOS is brought back up, there seem to be a significant likelihood that
> emacs will then crash shortly after being used again. In brief, the
> typical sequence seems to be:
> 
> Emacs/Tramp to remote system (with SSH) -> MacOS goes to sleep -> (wait
> a while) -> MacOS back on -> use emacs -> crash.

Hi Bruno,

Can you please try the nightly build? The crash appears to be caused
by the menu code and there were some changes made recently that may
help.
-- 
Alan Third